/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

import javax.swing.JToolBar;

/**
 * Internal Account Window specific Toobar that creates the buttons by 
 * itself just informing the actions attached to each tool.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountJInternalAccountToolBar extends JToolBar {

    /**
     * Constructor that creates the buttons attaching the specific actions. 
     */
    AccountJInternalAccountToolBar() {

        add(AccountActions.getDeleteTransactionAction());
    }
}
