/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

import java.beans.PropertyVetoException;

import javax.swing.JInternalFrame;

/**
 * General Internal Frames for Account application
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public abstract class AccountJInternalFrame extends JInternalFrame {

    /**
     * Constructor
     * @param arg0
     * @param arg1 
     * @param arg2
     * @param arg3
     * @param arg4
     */
    AccountJInternalFrame(String arg0, boolean arg1, boolean arg2,
        boolean arg3, boolean arg4) {

        super(arg0, arg1, arg2, arg3, arg4);
    }

    abstract String getAccountInternalFrameIdentification();

    /**
     * Allow to get focus
     */
    public void tryToGetFocus() {

        try {
            setSelected(true);
        }
        catch(PropertyVetoException e) {
            System.err.println(e);
            // Do nothing
        }

    }

    /**
     * Execute when deiconifying 
     */
    public void tryToDeiconify() {

        try {
            setIcon(false);
        }
        catch(PropertyVetoException e) {
            System.err.println(e);
            // Do nothing
        }
    }

}
