/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

import javax.swing.*;

/**
 * Link the Menus with the corresponding Actions
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
class AccountMainMenu extends JMenuBar {

    /**
     * Construct the menu and link the itens with the corresponding actions.
     */
    public AccountMainMenu() {

        JMenu file = new JMenu(AccountActions.getFileAction());

        file.add(new JMenuItem(AccountActions.getImportAction()));
        file.add(new JMenuItem(AccountActions.getExportAction()));
        file.add(new JMenuItem(AccountActions.getExitAction()));

        add(file);

    }
}