/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.dynamicmodel;

/**
 * Represents an Account Comment that can be any continuous text with
 * as many lines as necessary.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountComment {

    private String commentId = new String();

    private StringBuffer comments = new StringBuffer();

    /**
     * Inform the Comment Identification
     * @return The Comment Identification
     */
    public String getCommentId() {

        return commentId;
    }

    /**
     * Stores the Comment Identification
     * @param commentId Comment Identification
     */
    public void setCommentId(String commentId) {

        this.commentId = commentId;
    }

    /**
     * Retreives the comments
     * @return The specific comment
     */
    public StringBuffer getComments() {

        return comments;
    }

    /**
     * Stores the Comment
     * @param comments
     */
    public void setComments(StringBuffer comments) {

        this.comments = comments;
    }

}
