/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

/**
 * Control the input of checks
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountJInternalCheckInput extends AccountJInternalFrame {

    // The identification of the check internal frame is the check identification
    // appended with the " Input" string.
    public static final String ID_INSERT_APPEND_IDENTIFICATION = " Input";

    // This form belongs to the following com.carlosbcruz.account.control ID.
    private String checkId;

    AccountJInternalCheckInput(String checkId) {

        // Title
        super(checkId + ID_INSERT_APPEND_IDENTIFICATION, true, true, true, true);

        this.checkId = checkId;

        //	setContentPane(constructManualTab());

    }

    /* (non-Javadoc)
     * @see com.carlosbcruz.account.control.AccountJInternalFrame#getAccountInternalFrameIdentification()
     */
    String getAccountInternalFrameIdentification() {

        return checkId + ID_INSERT_APPEND_IDENTIFICATION;
    }

}
