/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.dynamicmodel;

/**
 * Store the current information of acount statically an
 * can be accessed anywere.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountCurrentAccountSingleton {

    private static AccountAllUserAccounts allUserAccounts = new AccountAllUserAccounts();

    /**
     * @return All user accounts store in memory.
     */
    public static AccountAllUserAccounts getAllUserAccounts() {

        return allUserAccounts;
    }

    /**
     * Sets the allUserAccounts.
     * @param allUserAccounts The allUserAccounts to set
     */
    public static void setAllUserAccounts(AccountAllUserAccounts allUserAccounts) {

        AccountCurrentAccountSingleton.allUserAccounts = allUserAccounts;

    }

}
